# Hotdog Miami: Brutal Benny

_"ONE MISSED CALL FROM:_ NUMBER_WITHHELD. _Hello! We at 50 Blessings would like to thank you for your continued interest in our corporation and our vision. As of late, we've realized the need for a new breed of volunteer who are better equipped for these tumultuous times. We've sent you a pamphlet with everything you need to know along with a commemorative garden tool free of charge! Have a happy 1993!"_
___

Utilize a selection of action movie weapons from the 80's and 90's to carve through waves of unrelenting mobsters, just like everyone's favorite mute Miami-nite.

This character has no ammo spawners whatsoever; you'll have to either scavenge ammo from fallen sosigs or buy a one-use weapon that comes with some magazines. All the sosigs have unique ammo drops, movement speeds, health, and mustard levels on top of their armor, learning these will be key to your survival. They also feature some texture swaps of questionable quality!

![image](https://i.imgur.com/2SIkSBs.png)

## A quick rundown of the shop categories:

![image](https://i.imgur.com/8ITm6Wq.png)

* Purple: Equipment and player upgrades.
* Blue: Guns with magazine drops from enemies.
* Red: One-time guns that spawn with a decent amount of ammo.
* Green: Consumables.
* Pink: Melee. 



## Supported Mods (Not required)

While the mods on this list are not explicitly required; playing without the Modul mods limits the number of weapons you can get from the Custom Weapons pools. I recommend at the least installing ModulAR and ModulAK, as many of the custom weapons use parts from those two mods.

* Meat's ModulAR (https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAR/)
* Meat's ModulAK (https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAK/)
* Meat's ModulShotguns (https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulShotguns/)
* Modul FAL by Not_Wolfie (https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_FAL/)
* ~~ModulAR18 by Noghiri~~ DEPRECIATED (https://h3vr.thunderstore.io/package/noghiri/BB_ModulAR18/)
* ModulTT by SuperPug (https://h3vr.thunderstore.io/package/superpug/ModulTT/)

This character was also made with the new helmet and vest mods in mind as well. Give it a try with the concealed carry loadout!

* Meat's Rigs (https://h3vr.thunderstore.io/package/Meat_banono/Meats_Rigs/) _Will spawn a backpack if not installed._
* FTW's Helmets (https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_Helmets/)
* Syndicate Helmets by Arpy (https://h3vr.thunderstore.io/package/Arpy/Syndicate_Helmets/) _Will spawn a riot shield if not installed._

Most of the weapons mods on this list are just additions to the loot pools and as such you can play the mod without any of them installed. Be sure to upvote all these mods for their hard work!

* ~~Meat's ASP~~ DEPRECIATED (https://h3vr.thunderstore.io/package/Meat_banono/Meats_ASP/)
* ~~Cobray Terminator by Okkim~~ DEPRECIATED (https://h3vr.thunderstore.io/package/Okkim/Cobray_Terminator/)
* FTW Arms Bren 10 (https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Bren_10/)
* Ashes' Groza 4 (https://h3vr.thunderstore.io/package/fsce/Ashes_Groza4/)

## Changelog

### 2.1.0
* Updated the ModulAR, ModulAK, ModulFAL, and ModulShotgun vault files.
* Added Modul1911 vaults to the Tier 1 Custom Weapon pool.
* Replaced the generic health powerup with 2 new custom items; Preservatives and the Medible Kit. Preservatives will heal you for most of your health, but slowly over time. Medible Kits are instant, but only refill a small portion of health.
* Remade the crappy biker jackets and gave the bikers the new aviator glasses.
* Added plenty of new vaults to get out of the Custom Weapon pools.
* New vaults using the Warfighter attachment mods.
* Replaced old AR vaults with vaults using the remade ARs.
* Replaced the AR18, Terminator, and ASP with their new vanilla versions.
* Added new weapons to pools.
* SPUD Troopers now only drop 20 round magazines instead of 30 round magazines, Heavy Troopers still can drop 30 round mags.
* Added a new Backup Pistol pool that will occasionally replace the melee weapon shop spot. fairly expensive and only gives you a medium calibur handgun with 3 magazines.
* Made some of the core modul mods requirements, as well as the Warfighter collection of attachment mods.
* Lots of small changes that I've just forgot (_My bad_). 

### 2.0.1
* Backup pools now spawn properly.
* The singular ammo pool was split into three separate pools, shotgun shells, handgun mags, and SMG mags.

### 2.0
* Now uses Otherloader 1.0+ and Stratum.
* Added Wildcard weapon spawns; these give you a random weapon out of tier 1 (SMG, shotgun, or handgun) or tier 2 (AR, BR, or Autoshotgun) respectively.
* Removed the SMG pool.
* Added the Biker sosig. This is who'll spawn shotgun shells now, they're a little less tanky then the thugs, but they carry shotguns instead of melee. They take a little while to aim and get stunned quickly, just don't try to melee them.
* Melee is actually useful now, blunt is slightly less effective than vanilla, bladed is considerably worse, but piercing is still 100% effective.
* Singular custom weapons have been replaced by 2 tiers of custom weapons, pretty much the same system as the wildcards.
* Added quite a few new custom weapons, each blue gun should have at least one custom variant. 
* Added new shop categories to fill out the two new slots since the last version: Equipment and Melee.
* Support for the vests and new helmet mods.
* The health and resistances of most enemies were rounded into a few basic groups: weak, average, tough, and very tough. The bikers are an exception, being somewhere between average and tough.
* A lot of small tweaks to the economy. (_TBH I don't remember a lot of them_)
* Some new guns added over the updates like the kind-of-brand-new Ultimax.

![image](https://static.wikia.nocookie.net/scootiverse-lore/images/d/d1/Png.png/revision/latest?cb=20200914185218) 
